<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>Chapitre 3. Devoirs du développeur Debian</title>
    <link rel="stylesheet" type="text/css" href="developers-reference.css"/>
    <meta name="generator" content="DocBook XSL Stylesheets V1.78.1"/>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <link rel="home" href="index.html" title="Référence du développeur Debian"/>
    <link rel="up" href="index.html" title="Référence du développeur Debian"/>
    <link rel="prev" href="ch02.html" title="Chapitre 2. Candidature de responsable Debian"/>
    <link rel="next" href="ch04.html" title="Chapitre 4. Ressources pour les responsables et développeurs Debian"/>
  </head>
  <body>
    <div class="navheader">
      <table width="100%" summary="Navigation header">
        <tr>
          <th colspan="3" align="center">Chapitre 3. Devoirs du développeur Debian</th>
        </tr>
        <tr>
          <td align="left"><a accesskey="p" href="ch02.html"><img src="images/prev.png" alt="Précédent"/></a> </td>
          <th width="60%" align="center"> </th>
          <td align="right"> <a accesskey="n" href="ch04.html"><img src="images/next.png" alt="Suivant"/></a></td>
        </tr>
      </table>
      <hr/>
    </div>
    <div class="chapter">
      <div class="titlepage">
        <div>
          <div>
            <h1 class="title"><a id="developer-duties"/>Chapitre 3. Devoirs du développeur Debian</h1>
          </div>
        </div>
      </div>
      <div class="toc">
        <p>
          <strong>Table des matières</strong>
        </p>
        <dl class="toc">
          <dt>
            <span class="section">
              <a href="ch03.html#package-maintainer-duties">3.1. Devoirs du responsable de paquet</a>
            </span>
          </dt>
          <dd>
            <dl>
              <dt>
                <span class="section">
                  <a href="ch03.html#help-release">3.1.1. Œuvrer pour la prochaine publication <code class="literal">stable</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="ch03.html#maintain-stable">3.1.2. Maintenance de paquets dans <code class="literal">stable</code></a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="ch03.html#rc-bugs">3.1.3. Gestion des bogues critiques pour la publication</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="ch03.html#upstream-coordination">3.1.4. Coordination avec les développeurs amont</a>
                </span>
              </dt>
            </dl>
          </dd>
          <dt>
            <span class="section">
              <a href="ch03.html#administrative-duties">3.2. Devoirs administratifs</a>
            </span>
          </dt>
          <dd>
            <dl>
              <dt>
                <span class="section">
                  <a href="ch03.html#user-maint">3.2.1. Mise à jour des renseignements auprès de Debian</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="ch03.html#key-maint">3.2.2. Gestion de clé publique</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="ch03.html#voting">3.2.3. Votes</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="ch03.html#inform-vacation">3.2.4. Départ en vacances poli</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="ch03.html#s3.7">3.2.5. Démission</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="ch03.html#returning">3.2.6. Revenir après démission</a>
                </span>
              </dt>
            </dl>
          </dd>
        </dl>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="package-maintainer-duties"/>3.1. Devoirs du responsable de paquet</h2>
            </div>
          </div>
        </div>
        <p>En tant que responsable de paquet, vous êtes censé fournir des paquets de
haute qualité qui s'intégreront correctement dans le système et qui sont
conformes à la Charte Debian.</p>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="help-release"/>3.1.1. Œuvrer pour la prochaine publication <code class="literal">stable</code></h3>
              </div>
            </div>
          </div>
          <p>
Fournir des paquets de haute qualité dans <code class="literal">unstable</code> ne
suffit pas, la plupart des utilisateurs ne profiteront de vos paquets que
quand ils seront publiés avec la prochaine version
<code class="literal">stable</code>. Vous êtes donc censé collaborer avec l'équipe en
charge de la publication pour veiller à ce que vos paquets soient intégrés.
</p>
          <p>
Plus concrètement, vous devriez surveiller si vos paquets migrent vers
<code class="literal">testing</code> (consultez <a class="xref" href="ch05.html#testing" title="5.13. La distribution testing">Section 5.13, « La distribution <code class="literal">testing</code> »</a>). Lorsque la
migration n'a pas lieu après la période d'essai, vous devriez analyser
pourquoi et œuvrer pour corriger cela. Votre paquet pourrait avoir besoin
d'être corrigé (dans le cas de bogues critiques pour la publication ou
d'échecs de construction sur certaines architectures) mais cela peut
également signifier mettre à jour (ou corriger, ou supprimer de
<code class="literal">testing</code>) d'autres paquets pour permettre de terminer une
transition dans laquelle votre paquet est enchevêtré à cause de ses
dépendances. L'équipe en charge de la publication devrait pouvoir vous
renseigner sur ce qui bloque actuellement une transition donnée si vous ne
parvenez pas à l'identifier.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="maintain-stable"/>3.1.2. Maintenance de paquets dans <code class="literal">stable</code></h3>
              </div>
            </div>
          </div>
          <p>
La plupart du travail de responsable de paquet consiste à fournir des
versions de paquets mis à jour dans <code class="literal">unstable</code>, mais son
travail implique aussi de s'occuper des paquets dans la publication
<code class="literal">stable</code> actuelle.
</p>
          <p>
Même si les modifications dans <code class="literal">stable</code> sont déconseillées,
elles sont possibles. Chaque fois qu'un problème de sécurité est signalé,
vous devriez collaborer avec l'équipe en charge de la sécurité pour fournir
une version corrigée (consultez <a class="xref" href="ch05.html#bug-security" title="5.8.5. Gestion des bogues de sécurité">Section 5.8.5, « Gestion des bogues de sécurité »</a>). Quand des
bogues de sévérité <code class="literal">important</code> (ou plus) sont soumis sur la
version <code class="literal">stable</code> de vos paquets, vous devriez envisager la
possibilité de fournir une correction spécifique. Vous pouvez interroger
l'équipe en charge de la publication <code class="literal">stable</code> pour savoir
si elle accepterait une telle mise à jour puis préparer un envoi vers
<code class="literal">stable</code> (consultez <a class="xref" href="ch05.html#upload-stable" title="5.5.1. Cas particulier : distributions stable et oldstable">Section 5.5.1, « Cas particulier : distributions <code class="literal">stable</code> et
<code class="literal">oldstable</code> »</a>).
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="rc-bugs"/>3.1.3. Gestion des bogues critiques pour la publication</h3>
              </div>
            </div>
          </div>
          <p>
Habituellement, vous devriez traiter les rapports de bogue sur vos paquets
tel que cela est décrit en <a class="xref" href="ch05.html#bug-handling" title="5.8. Manipulation des bogues">Section 5.8, « Manipulation des bogues »</a>. Cependant, une
catégorie spéciale de bogues nécessite particulièrement votre attention :
les bogues critiques pour la publication
(« <code class="literal">release-critical</code> » ou <code class="literal">RC</code>). Tous les
rapports de bogue de gravité <code class="literal">critical</code>,
<code class="literal">grave</code> ou <code class="literal">serious</code> rendent le paquet
inapproprié pour être inclus dans la prochaine version
<code class="literal">stable</code>. Ils peuvent donc retarder la publication de
Debian (quand ils concernent un paquet de <code class="literal">testing</code>) ou
bloquer des migrations vers <code class="literal">testing</code> (quand ils concernent
seulement le paquet d'<code class="literal">unstable</code>). Au pire, ils pourraient
conduire à la suppression du paquet. C'est pourquoi ces bogues doivent être
corrigés au plus tôt.
</p>
          <p>
Si pour une raison ou une autre, vous ne pouvez pas corriger un bogue
critique pour la publication dans un de vos paquets en moins de deux
semaines (par exemple à cause de contraintes de temps, ou parce que c'est
compliqué à corriger) vous devriez le signaler clairement dans le rapport de
bogue en l'étiquetant <code class="literal">help</code> pour encourager d'autres
volontaires à s'impliquer. Sachez que les bogues critiques pour la
publication sont souvent les cibles de mises à jour indépendantes (consultez
<a class="xref" href="ch05.html#nmu" title="5.11. Mises à jour indépendantes (NMU)">Section 5.11, « Mises à jour indépendantes (<code class="literal">NMU</code>) »</a>) car ils peuvent bloquer la migration vers
<code class="literal">testing</code> de plusieurs paquets.
</p>
          <p>
Un manque d'attention aux bogues critiques pour la publication est souvent
considéré par l'équipe d'assurance qualité comme un signe de disparition
d'un responsable n'ayant pas abandonné correctement son paquet. L'équipe MIA
pourrait aussi s'impliquer, avec comme éventuelle conséquence l'abandon de
vos paquets (consultez <a class="xref" href="ch07.html#mia-qa" title="7.4. Gestion des responsables non joignables">Section 7.4, « Gestion des responsables non joignables »</a>).
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="upstream-coordination"/>3.1.4. Coordination avec les développeurs amont</h3>
              </div>
            </div>
          </div>
          <p>
Une grande part du travail de responsable Debian sera de rester en contact
avec les développeurs amont. Parfois, les utilisateurs signalent des bogues
qui ne sont pas spécifiques à Debian. Vous devez transmettre ces rapports de
bogue aux développeurs amont pour qu'ils soient corrigés dans les versions
suivantes.
</p>
          <p>
Bien qu'il ne soit pas de votre responsabilité de corriger les bogues non
spécifiques à Debian, vous pouvez le faire si vous en êtes capable. Quand
vous faites de telles corrections, assurez-vous de les envoyer également au
développeur amont. Les utilisateurs et responsables Debian proposent souvent
des correctifs pour corriger des bogues amont, il vous faudra alors évaluer
ce correctif puis le transmettre aux développeurs amont.
</p>
          <p>
Si vous avez besoin de modifier les sources d'un logiciel pour fabriquer un
paquet conforme à la Charte Debian, vous devriez proposer un correctif aux
développeurs amont pour qu'il soit inclus dans leur version. Ainsi, vous
n'aurez plus besoin de modifier les sources lors des mises à jour amont
suivantes. Quels que soient les changements dont vous avez besoin, il faut
toujours essayer de rester dans la lignée des sources amont.
</p>
          <p>
Si vous estimez que les développeurs amont sont ou deviennent hostiles
envers Debian ou la communauté du logiciel libre, vous pouvez vouloir
reconsidérer le besoin d'inclure le logiciel dans Debian. Parfois, le coût
social à la communauté Debian ne vaut pas le bénéfice que le logiciel peut
apporter.
</p>
        </div>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="administrative-duties"/>3.2. Devoirs administratifs</h2>
            </div>
          </div>
        </div>
        <p>Un projet de la taille de Debian repose sur certaines structures
administratives pour garder une trace de tout. En tant que membre du projet,
vous avez quelques devoirs pour veiller à ce que tout se déroule sans
problème.</p>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="user-maint"/>3.2.1. Mise à jour des renseignements auprès de Debian</h3>
              </div>
            </div>
          </div>
          <p>
Une base de données LDAP contient des informations sur les développeurs
Debian en <a class="ulink" href="https://db.debian.org/">https://db.debian.org/</a>. Vous devriez y entrer vos
informations et les mettre à jour quand elles changent. Le plus important
est de vous assurer que l'adresse vers laquelle est renvoyée le courrier à
destination de votre adresse debian.org est toujours à jour, de même que
l'adresse à laquelle vous recevez votre abonnement à debian-private si vous
choisissez d'être abonné à cette liste.
</p>
          <p>
Pour plus d'informations sur cette base de données, veuillez consulter <a class="xref" href="ch04.html#devel-db" title="4.5. Base de données des développeurs">Section 4.5, « Base de données des développeurs »</a>.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="key-maint"/>3.2.2. Gestion de clé publique</h3>
              </div>
            </div>
          </div>
          <p>
Soyez très vigilant en utilisant votre clé privée. Ne la placez pas sur un
serveur public ou sur des machines multi-utilisateurs telles que les
serveurs Debian (voir <a class="xref" href="ch04.html#server-machines" title="4.4. Serveurs Debian">Section 4.4, « Serveurs Debian »</a>). Sauvegardez vos
clés et gardez-en une copie hors connexion. Lisez la documentation fournie
avec votre logiciel et la <a class="ulink" href="http://www.cam.ac.uk.pgp.net/pgpnet/pgp-faq/">FAQ PGP</a>.
</p>
          <p>
Assurez-vous que votre clé est non seulement à l'abri des vols, mais aussi
d'une perte. Générez et faites une copie (c'est même mieux sur papier) de
votre certificat de révocation ; il est nécessaire si votre clé est perdue
ou volée.
</p>
          <p>
Si vous ajoutez des signatures ou des identifiants à votre clé publique,
vous pouvez mettre à jour le porte-clés Debian en envoyant votre clé
publique à <code class="literal">keyring.debian.org</code>.
</p>
          <p>
Pour ajouter une nouvelle clé ou supprimer une ancienne clé, vous devez
faire signer la nouvelle clé par un autre développeur. Si l'ancienne clé est
compromise ou invalide, vous devez également ajouter le certification de
révocation. S'il n'y pas de bonne raison pour une nouvelle clé, les
responsables du trousseau peuvent rejeter la nouvelle clé. Vous trouverez
plus de détails en <a class="ulink" href="http://keyring.debian.org/replacing_keys.html">http://keyring.debian.org/replacing_keys.html</a>.
</p>
          <p>
Les mêmes routines d'extraction de clé décrites en <a class="xref" href="ch02.html#registering" title="2.3. Enregistrement comme responsable Debian">Section 2.3, « Enregistrement comme responsable Debian »</a> s'appliquent.
</p>
          <p>
Une présentation approfondie de la gestion de clé Debian peut être trouvée
dans la documentation du paquet <code class="systemitem">debian-keyring</code>.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="voting"/>3.2.3. Votes</h3>
              </div>
            </div>
          </div>
          <p>
Bien que Debian ne soit pas vraiment une démocratie, le projet utilise un
processus démocratique pour élire les responsables de projet et approuver
les résolutions générales. Ces procédures sont définies par la <a class="ulink" href="https://www.debian.org/devel/constitution">constitution Debian</a>.
</p>
          <p>
En dehors de l'élection annuelle du responsable de projet, les votes ne se
tiennent pas régulièrement et ne sont pas entrepris à la légère. Chaque
proposition est tout d'abord discutée sur la liste de diffusion
<code class="email">&lt;<a class="email" href="mailto:debian-vote@lists.debian.org">debian-vote@lists.debian.org</a>&gt;</code> et a besoin de plusieurs approbations avant que le
secrétaire du projet n'entame la procédure de vote.
</p>
          <p>
Vous n'avez pas besoin de suivre les discussions précédant le vote car le
secrétaire enverra plusieurs appels au vote sur la liste
<code class="email">&lt;<a class="email" href="mailto:debian-devel-announce@lists.debian.org">debian-devel-announce@lists.debian.org</a>&gt;</code> (et tous les développeurs devraient être
inscrits à cette liste). La démocratie ne fonctionne pas si les personnes ne
prennent pas part au vote, c'est pourquoi nous encourageons tous les
développeurs à voter. Le vote est conduit par messages signés ou chiffrés
par GPG.
</p>
          <p>
La liste de toutes les propositions (passées et présentes) est disponible
sur la page des <a class="ulink" href="https://www.debian.org/vote/">informations sur les votes
Debian</a>, ainsi que des informations complémentaires sur la procédure
à suivre pour effectuer une proposition, la soutenir et voter pour elle.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="inform-vacation"/>3.2.4. Départ en vacances poli</h3>
              </div>
            </div>
          </div>
          <p>
Il est courant pour les développeurs de s'absenter, que ce soit pour des
vacances prévues ou parce qu'ils sont submergés de travail. L'important est
que les autres développeurs ont besoin de savoir si vous êtes indisponible
pour pouvoir agir en conséquence si un problème se produit sur vos paquets
ou autre pendant votre absence.
</p>
          <p>
Habituellement, cela signifie que les autres développeurs peuvent faire des
NMU (voir <a class="xref" href="ch05.html#nmu" title="5.11. Mises à jour indépendantes (NMU)">Section 5.11, « Mises à jour indépendantes (<code class="literal">NMU</code>) »</a>) sur votre paquet si un gros problème (bogue
empêchant l'intégration dans la distribution, mise à jour de sécurité, etc.)
se produit pendant que vous êtes en vacances. Parfois, ce n'est pas très
important, mais il est de toute façon approprié d'indiquer aux autres que
vous n'êtes pas disponible.
</p>
          <p>
Il y a deux choses à faire pour informer les autres
développeurs. Premièrement, envoyez un courrier électronique à
<code class="email">&lt;<a class="email" href="mailto:debian-private@lists.debian.org">debian-private@lists.debian.org</a>&gt;</code> en commençant le sujet de votre
message par « [VAC] »<a href="#ftn.idm46114016677280" class="footnote" id="idm46114016677280"><sup class="footnote">[2]</sup></a> et donnez la
période de vos vacances. Vous pouvez également donner quelques instructions
pour indiquer comment agir si un problème survenait.
</p>
          <p>
L'autre chose à faire est de vous signaler comme en vacances (« <code class="literal">on
vacation</code> ») dans la <a class="link" href="ch04.html#devel-db" title="4.5. Base de données des développeurs">base de données
Debian LDAP</a> (l'accès à cette information est réservé aux
développeurs). N'oubliez pas de retirer l'indicateur <code class="literal">on
vacation</code> à votre retour !
</p>
          <p>
Dans l'idéal, vous devriez vous connecter sur les <a class="ulink" href="https://wiki.debian.org/Keysigning">pages de coordination GPG</a> quand vous prévoyez
un départ et vérifier si quelqu'un recherche un échange de signatures. Cela
est particulièrement important quand des personnes vont à des endroits
exotiques où nous n'avons pas encore de développeurs, mais où il y a des
personnes intéressées pour poser leur candidature.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="s3.7"/>3.2.5. Démission</h3>
              </div>
            </div>
          </div>
          <p>
Si vous décidez de quitter le projet Debian, veillez procéder comme suit :
</p>
          <div class="orderedlist">
            <ol class="orderedlist">
              <li class="listitem">
                <p>
abandonnez tous vos paquets comme décrit en <a class="xref" href="ch05.html#orphaning" title="5.9.4. Abandon de paquet">Section 5.9.4, « Abandon de paquet »</a> ;
</p>
              </li>
              <li class="listitem">
                <p>
Send an gpg-signed email announcing your retirement to
<code class="email">&lt;<a class="email" href="mailto:debian-private@lists.debian.org">debian-private@lists.debian.org</a>&gt;</code>.
</p>
              </li>
              <li class="listitem">
                <p>
signalez aux responsables du porte-clés Debian que vous quittez le projet en
ouvrant un ticket en écrivant à <code class="email">&lt;<a class="email" href="mailto:keyring@rt.debian.org">keyring@rt.debian.org</a>&gt;</code> avec les mots « Debian RT »
dans le sujet (peu importe la casse).
</p>
              </li>
              <li class="listitem">
                <p>
Si vous recevez des courriels d’alias d’adresse @debian.org
(p. ex. press@debian.org) et ne le désirez plus, ouvrez un ticket « RT »
pour les administrateurs du système Debian (« <code class="literal">Debian System
Administrators</code> »). Écrivez simplement à <code class="email">&lt;<a class="email" href="mailto:admin@rt.debian.org">admin@rt.debian.org</a>&gt;</code> avec
« Debian RT » dans le sujet et en déclarant de quel alias vous voulez être
supprimé.
</p>
              </li>
            </ol>
          </div>
          <p>
Le processus précédemment décrit devrait absolument être suivi, car trouver
les développeurs inactifs et abandonner leurs paquets est une tâche longue
et fastidieuse.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="returning"/>3.2.6. Revenir après démission</h3>
              </div>
            </div>
          </div>
          <p>
Le compte d'un développeur est marqué « emeritus » (honoraire) quand le
processus précédent en <a class="xref" href="ch03.html#s3.7" title="3.2.5. Démission">Section 3.2.5, « Démission »</a> est suivi, et « disabled »
(désactivé) sinon. Un développeur ayant démissionné avec un compte
« emeritus » peut réactiver son compte de la façon suivante :
</p>
          <div class="itemizedlist">
            <ul class="itemizedlist">
              <li class="listitem">
                <p>
contacter <code class="email">&lt;<a class="email" href="mailto:da-manager@debian.org">da-manager@debian.org</a>&gt;</code> ;
</p>
              </li>
              <li class="listitem">
                <p>
passer un processus raccourci de nouveau responsable (pour s'assurer qu'il
connaît toujours les parties importantes de « philosophie et procédures » et
« tâches et compétences ») ;
</p>
              </li>
              <li class="listitem">
                <p>
démontrer qu'il possède toujours la clef GPG associée au compte, ou fournir
des preuves d'identité sur une nouvelle clef GPG, avec au moins deux
signatures d'autres développeurs Debian.
</p>
              </li>
            </ul>
          </div>
          <p>
Les développeurs ayant démissionné avec un compte « disabled » doivent
repasser le processus complet de nouveau développeur.
</p>
        </div>
      </div>
      <div class="footnotes">
        <br/>
        <hr/>
        <div id="ftn.idm46114016677280" class="footnote">
          <p><a href="#idm46114016677280" class="para"><sup class="para">[2] </sup></a> Ainsi, le message peut être facilement filtré par les personnes qui ne
veulent pas lire ces annonces de vacances.  </p>
        </div>
      </div>
    </div>
    <div class="navfooter">
      <hr/>
      <table width="100%" summary="Navigation footer">
        <tr>
          <td align="left"><a accesskey="p" href="ch02.html"><img src="images/prev.png" alt="Précédent"/></a> </td>
          <td align="center"> </td>
          <td align="right"> <a accesskey="n" href="ch04.html"><img src="images/next.png" alt="Suivant"/></a></td>
        </tr>
        <tr>
          <td align="left" valign="top">Chapitre 2. Candidature de responsable Debian </td>
          <td align="center">
            <a accesskey="h" href="index.html">
              <img src="images/home.png" alt="Sommaire"/>
            </a>
          </td>
          <td align="right" valign="top"> Chapitre 4. Ressources pour les responsables et développeurs Debian</td>
        </tr>
      </table>
    </div>
  </body>
</html>
